@echo off

IF NOT .%JAVA_HOME%==. GOTO JdkFound
ECHO Could not find a JDK.
ECHO Either you have to install a JDK (preferrably 1.4) or you have to set JAVA_HOME to your JDK installation directory.
PAUSE
GOTO :EndOfScript

:JdkFound

set JAVACMD=%JAVA_HOME%\bin\java
ECHO Java command is '%JAVACMD%'.

set CLASSPATH=..\lib\CUPRuntime.jar
set CLASSPATH=%CLASSPATH%;..\lib\xercesImpl.jar;..\lib\xmlParserAPIs.jar
set CLASSPATH=%CLASSPATH%;..\lib\OCLCommon.jar;..\lib\UMLModel-2.0.jar
set CLASSPATH=%CLASSPATH%;..\lib\Util-1.2.jar;..\lib\XMI-1.2.jar
set CLASSPATH=%CLASSPATH%;..\lib\epsgraphics.jar;..\lib\.jar
set CLASSPATH=%CLASSPATH%;..\lib\RwD.jar
ECHO Classpath is '%CLASSPATH%'.

set RWD_HOME=..\lib\
ECHO RWD home is %RWD_HOME%.

%JAVACMD% -cp "%CLASSPATH%" rwd.Editor

:EndOfScript
